/contacts/{contact_id}/pinned_attachments Get a list of attachments pinned to this contact
The list of pinned attachments is sorted based on "pinned_at" field, i.e. most recent attachments come first, the list of attachments is paginated.
Maintained by the OnePageCRM engineering team
Path parameters
| Name | Type | Description |
|---|---|---|
contact_id req | string | Contact ID |
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields β
pinned_attachmentsarray<object>array item fields β
idstringbson-idID of the attachment
filenamestringrequiredName of the attachment file
custom_filenamestringCustom name of the attachment file
pinnedbooleanShow if the attachment is pinned to its owner contact
pinned_atstringShows pinned at timestamp. Is null if pinned == false
sizeintegerint32requiredSize of the attachment file (in bytes)
storage_providerstringName of the storage provider (where the attachment file is stored)
enum: amazon Β· google_drive Β· dropbox Β· evernote
urlstringExternal URL of the attachment file
url_expires_atstringdate-timeThe time the attachment URL expires
thumbnailobjectAn image preview of the attachment file (if one exists)
object fields β
urlstringExternal URL of the attachment's thumbnail
total_countintegerint32Total number of items
pageintegerint32Current page number
per_pageintegerint32Number of items returned in each page
max_pageintegerint32The page number of the last page of items
Standard error responses: 400 Β· 401 Β· 403 Β· 404 Β· 409 Β· 500 β shared across the API. See Errors.